networks:
  web:
    external: true

services:
  db:
    image: postgres:10-alpine
    restart: unless-stopped
    environment:
      - POSTGRES_USER=etherpad
    env_file:
      - .env
    volumes:
      - ${CHATONS_ROOT_DIR:-/srv/chatons}/${CHATONS_SERVICE:-pad}/db:/var/lib/postgresql/data

  pad:
    build:
     context: .
     args:
       THEME_IMAGE: ${THEME_IMAGE:-tvelocity/etherpad-lite}
    restart: unless-stopped
    environment:
      - ETHERPAD_DB_HOST=db
      - ETHERPAD_DB_TYPE=postgres
      - ETHERPAD_DB_USER=etherpad
      - ETHERPAD_DB_PORT=5432
    env_file:
      - .env
    labels:
      traefik.enable: "true"
      traefik.http.routers.pad.rule: "Host(`${CHATONS_SERVICE:-pad}.${CHATONS_DOMAIN:-localhost}`)"
    networks:
      - web
      - default
    volumes:
      - ${CHATONS_ROOT_DIR:-/srv/chatons}/${CHATONS_SERVICE:-pad}/app:/opt/etherpad-lite/var
